LFR-FSW - Task #3119

Livraison de 3.2.0.21 avec gcov
01/10/2018 09:53 AM - Alexis Jeandet

Status: Closed Start date: 02/07/2018

Priority: Normal Due date:

Assignee: Alexis Jeandet % Done: 0%

Category: Next Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

revision: r3.2.0.21

Description

Related issues:

Copied from Task #3086: Livraison de 3.2.0.20 Closed 02/07/2018
Copied to Task #3134: Livraison de 3.2.0.22 avec gcov Closed 02/07/2018

History

#1 - 01/10/2018 09:53 AM - Alexis Jeandet
- File fsw added
- File record_Ifr_console.py added

- Copied from Task #3086: Livraison de 3.2.0.20 added

#2 - 02/10/2018 09:39 AM - Alexis Jeandet
- File fsw added

Voici le FSW avec optimisation mais sans inlining.

#3 - 02/10/2018 10:31 AM - Veronique bouzid

Installation du soft livré le 2 octobre dans le répertoire /opt/LFR/LFR-FSW/3.2.0.21.

Les fichiers modiifiés sont

/opt/VALIDATION_R3plusplus/Ifrverif/LFR_SVS/LFRControlPlugin_start.py ( FSW_VER ="3.2.0.21")

/opt/VALIDATION_R3plusplus/Ifrverif/’common/param.py (Ifr_ver_str = "3.2.0.21")

#4 - 02/10/2018 11:16 AM - Veronique bouzid

- File gcov_out_2018-10-02 10_23_10.782386.txt.zip added

- File console_2018-10-02 10_23_10.782535.txt added

- Assignee changed from Veronique bouzid to Alexis Jeandet

Flchier gcov (gcov_out_2018_10_02 10:23*.zip) correspondant aux tests
SVS-0002, SVS-0003,SVS-0005,SVS-0007 (4 steps), SVS-0008,SVS-0009,SVS-0010,SVS-0014.

Remarque:

Le fichier console_2018_10_02 10:12* n a pas la taille zéro comme précédemment.

#5 - 02/10/2018 11:21 AM - Alexis Jeandet

- File gcov-html-2018-10-02 10_23_10.782386.zip added

- Assignee changed from Alexis Jeandet to Veronique bouzid

Sortie html correspondante

#6 - 03/10/2018 12:54 PM - Veronique bouzid

- File gcov_out_2018-10-03 11_10_09.233814.txt.zip added

- Assignee changed from Veronique bouzid to Alexis Jeandet
Ce fichier comprenant 1h37 de tests, le nbre de HK générés est 5878.

Tous les produits scientifiques ont été générés.
Le compteur load max affiché dans LFR-SGSE est de 206.

Les tests joués sont
SVS-0002 & SVS-0010
SVS-0018 a SVS-0019
SVS-0053

SVS-0059

#7 - 03/10/2018 02:13 PM - Veronique bouzid
- File gcov_out_2018-10-03 12_55_08.678549.txt.zip added

Ce fichier correspond a 4245 HK générés .

Tous les produits scientifiques ont été générés excepté LONG_F3, ASM_Fx.

Le compteur load max affiché dans LFR-SGSE est de 192.

Les tests joués sont

SVS-0012 SVS-0026 SVS-0070 SVS-00071 SVS-0074 SVS-0077
SVS-0081 SVS-0083 SVS-0086 SVS-0091 SVS-0096

#8 - 03/10/2018 03:07 PM - Veronique bouzid
- File gcov_out_2018-10-03 14_58_07.630580.txt.zip added

Juste le test SVS-0064 ( deconnecter le cable spacewire et reconnecter le cable apres 5s.

#9 - 05/10/2018 11:35 AM - Alexis Jeandet
- File LFR_GCOV_RESULTS.zip added

Voici les rapports pour les trois derniers tests, a la racine tu as la couverture cumulée des 3 tests puis dans chaque dossier, tu as la couverture du

test en question.

#10 - 10/10/2018 08:17 PM - Alexis Jeandet
- Copied to Task #3134: Livraison de 3.2.0.22 avec gcov added

#11 - 13/12/2018 07:53 AM - Veronique bouzid

- Status changed from New to Closed

Files

fsw 4.22 MB 01/10/2018 Alexis Jeandet
record_lfr_console.py 1.17 KB 01/10/2018 Alexis Jeandet
fsw 4.12 MB 02/10/2018 Alexis Jeandet
gcov_out_2018-10-02 10_23_10.782386.txt.zip 5.86 KB 02/10/2018 Veronique bouzid
console_2018-10-02 10_23_10.782535.txt 1.65 KB 02/10/2018 Veronique bouzid
gcov-html-2018-10-02 10_23_10.782386.zip 237 KB 02/10/2018 Alexis Jeandet
gcov_out_2018-10-03 11_10_09.233814.ixt.zip 6.18 KB 03/10/2018 Veronique bouzid
gcov_out_2018-10-03 12_55_08.678549.txt.zip 5 KB 03/10/2018 Veronique bouzid
gcov_out_2018-10-03 14_58_07.630580.txt.zip 4.86 KB 03/10/2018 Veronique bouzid
LFR_GCOV_RESULTS.zip 1.12 MB 05/10/2018 Alexis Jeandet
